Ask a question about using Bottle
POST
/help-chat/messages
const url = 'https://example.com/help-chat/messages';const options = { method: 'POST', headers: { cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"message":"example","conversationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","useBusinessData":true,"pagePath":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/help-chat/messages \ --header 'Content-Type: application/json' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token> \ --data '{ "message": "example", "conversationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "useBusinessData": true, "pagePath": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
message
required
string
conversationId
string format: uuid
useBusinessData
boolean
pagePath
required
string
Example generated
{ "message": "example", "conversationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "useBusinessData": true, "pagePath": "example"}Responses
Section titled “Responses”Help answer as server-sent events
Media typetext/event-stream
string
Sign in required
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Session and membership required
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}An answer is already running
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Chat limit reached
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Help chat unavailable
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}